Get all dependants Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v2/dependants

Headers

  • X-PLANNR-ACCOUNT-UUID string

Query parameters

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[account_uuids] string

    Filter by a comma separated list of UUIDs.

  • filter[circle_uuids] string

    Filter by a comma separated list of UUIDs.

  • include string

    Comma separated list of relationships to include in the response. Valid relationships are [accounts].

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, first_name, last_name]. Negative sign to denote DESC. Defaults to 'created_at'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • created_at string
      • updated_at string
      • first_name string
      • last_name string
      • name string
      • known_as string
      • relationship string
      • date_of_birth string
      • is_financially_dependant boolean
      • notes string
      • accounts object
        Hide accounts attributes Show accounts attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • external_references string
GET /api/v2/dependants
curl \
 --request GET 'https://api.plannrcrm.com/api/v2/dependants' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    [
      {
        "uuid": "cb9f83ca-b31f-4330-abf2-604909ddd246",
        "created_at": "2026-06-08T16:08:03+01:00",
        "updated_at": "2026-06-08T16:08:03+01:00",
        "first_name": "Christopher",
        "last_name": "Nolan",
        "name": "Christopher Nolan",
        "known_as": "Chris",
        "relationship": "Brother",
        "date_of_birth": "1986-06-08T16:08:03+01:00",
        "is_financially_dependant": true,
        "notes": "Example notes",
        "accounts": {
          "uuid": "63c2473f-32ca-4333-b37a-1343fe84d436",
          "created_at": "2026-06-08T16:08:03+01:00",
          "updated_at": "2026-06-08T16:08:03+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
          "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
        }
      }
    ]
  ]
}